#ifndef SPICE3_FONT_API_
#define SPICE3_FONT_API_

#include "rlTypes.h"

RL_C_API rlFontHandle rlFontGet( rlHandle handle, int32_t fontId );
RL_C_API rlResult rlFontSet( rlHandle handle, rlFontHandle fontHandle );
RL_C_API rlResult rlFontLoad( rlHandle handle, int32_t fontId );
RL_C_API rlResult rlFontStore( rlHandle handle, int32_t fontId );
RL_C_API rlResult rlFontDelete( rlHandle handle, int32_t fontId );
RL_C_API rlResult rlFontSetActive( rlHandle handle, int32_t fontId );

RL_C_API rlFontHandle rlFontAllocate( rlHandle handle, int32_t fontId );
RL_C_API rlResult rlFontAddChar( rlFontHandle handle, char c, rlCommandListHandle listHandle );
RL_C_API rlResult rlFontRemoveChar( rlFontHandle handle, char c );
RL_C_API rlCommandListHandle rlFontGetChar( rlFontHandle handle, char c );
RL_C_API rlResult rlFontClear( rlFontHandle handle );

RL_C_API rlResult rlFontChars( rlFontHandle handle, char* buffer, uint32_t bufferSize, uint32_t* charCount );
RL_C_API rlResult rlFontCharsLen( rlFontHandle handle, uint32_t* charCount );

RL_C_API rlResult rlFontReleaseHandle( rlFontHandle handle );

#endif // _SPICE3_FONT_API_