#ifndef SPICE3_POWERCORRECTION_API_
#define SPICE3_POWERCORRECTION_API_

#include "rlTypes.h"

RL_C_API rlResult rlPowerCorrectionCreate( rlHandle handle, const rlOpticalParameters* parameters );
RL_C_API rlResult rlPowerCorrectionSet( rlHandle handle, const char* localFileName );
RL_C_API rlResult rlPowerCorrectionGet( rlHandle handle, const char* localFileName );
RL_C_API rlResult rlPowerCorrectionLoad( rlHandle handle );
RL_C_API rlResult rlPowerCorrectionStore( rlHandle handle );

RL_C_API rlResult rlPowerCorrectionChangeValue( rlHandle handle, rlPoint3D position, double factor );

RL_C_API rlResult rlPowerCorrectionGetOpticalParameters( rlHandle handle, rlOpticalParameters* parameters );

#endif // SPICE3_POWERCORRECTION_API_
